﻿USE sop_db;
-- ----------------------------
-- Table structure for basic_attachment
-- ----------------------------
DROP TABLE IF EXISTS `basic_attachment`;
CREATE TABLE `basic_attachment` (
                                    `id` bigint NOT NULL COMMENT '主键',
                                    `org_id` bigint DEFAULT NULL COMMENT '机构id',
                                    `name` varchar(100) NOT NULL COMMENT '文件名',
                                    `type` varchar(10) NOT NULL COMMENT '文件类型',
                                    `size` DECIMAL(8, 2) NOT NULL COMMENT '单位（KB）',
                                    `md5` varchar(32) NOT NULL COMMENT '文件md5值',
                                    `path` varchar(2000) NOT NULL COMMENT '存储路径',
                                    `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                    `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                    `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                    `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                    `obj_id` bigint DEFAULT NULL COMMENT '关联业务id',
                                    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='所有附件记录表';

-- ----------------------------
-- Table structure for basic_sms_message
-- ----------------------------
DROP TABLE IF EXISTS `basic_sms_message`;
CREATE TABLE `basic_sms_message` (
                                     `id` bigint NOT NULL COMMENT '主键',
                                     `org_id` bigint DEFAULT NULL COMMENT '机构id',
                                     `user_id` bigint NOT NULL COMMENT '消息接收人用户',
                                     `user_name` varchar(100) DEFAULT NULL COMMENT '用户名称',
                                     `mobile_number` varchar(11) DEFAULT NULL COMMENT '电话号码',
                                     `message_type` varchar(45) DEFAULT NULL COMMENT '消息类型',
                                     `business_operate` varchar(45) NOT NULL COMMENT '业务操作',
                                     `template_code` varchar(45) NOT NULL COMMENT '消息模板代码',
                                     `variable_params` text COMMENT '变量参数内容',
                                     `template_content` mediumtext COMMENT '模板内容',
                                     `send_status` varchar(45) DEFAULT NULL COMMENT '消息发送状态',
                                     `send_result` varchar(200) DEFAULT NULL COMMENT '消息发送结果',
                                     `remark` text COMMENT '备注',
                                     `resend_count` int DEFAULT NULL COMMENT '重试次数',
                                     `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                     `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                     `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                     `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                     PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='短信通知表';

-- ----------------------------
-- Table structure for basic_verify_code
-- ----------------------------
DROP TABLE IF EXISTS `basic_verify_code`;
CREATE TABLE `basic_verify_code` (
                                     `id` bigint NOT NULL COMMENT '主键',
                                     `org_id` bigint DEFAULT NULL COMMENT '机构id',
                                     `user_id` bigint NOT NULL COMMENT '用户ID',
                                     `mobile_number` varchar(11) NOT NULL COMMENT '手机号',
                                     `expire_time` bigint NOT NULL COMMENT '到期时间',
                                     `valid_period` int NOT NULL COMMENT '单位（分）',
                                     `verify_code` varchar(4) NOT NULL COMMENT '4位数字',
                                     `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                     `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                     `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                     `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                     PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='短信验证码记录表';

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers` (
                                      `SCHED_NAME` varchar(120) NOT NULL,
                                      `TRIGGER_NAME` varchar(200) NOT NULL,
                                      `TRIGGER_GROUP` varchar(200) NOT NULL,
                                      `BLOB_DATA` blob,
                                      PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
                                      KEY `SCHED_NAME` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars` (
                                  `SCHED_NAME` varchar(120) NOT NULL,
                                  `CALENDAR_NAME` varchar(200) NOT NULL,
                                  `CALENDAR` blob NOT NULL,
                                  PRIMARY KEY (`SCHED_NAME`,`CALENDAR_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers` (
                                      `SCHED_NAME` varchar(120) NOT NULL,
                                      `TRIGGER_NAME` varchar(200) NOT NULL,
                                      `TRIGGER_GROUP` varchar(200) NOT NULL,
                                      `CRON_EXPRESSION` varchar(120) NOT NULL,
                                      `TIME_ZONE_ID` varchar(80) DEFAULT NULL,
                                      PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers` (
                                       `SCHED_NAME` varchar(120) NOT NULL,
                                       `ENTRY_ID` varchar(95) NOT NULL,
                                       `TRIGGER_NAME` varchar(200) NOT NULL,
                                       `TRIGGER_GROUP` varchar(200) NOT NULL,
                                       `INSTANCE_NAME` varchar(200) NOT NULL,
                                       `FIRED_TIME` bigint NOT NULL,
                                       `SCHED_TIME` bigint NOT NULL,
                                       `PRIORITY` int NOT NULL,
                                       `STATE` varchar(16) NOT NULL,
                                       `JOB_NAME` varchar(200) DEFAULT NULL,
                                       `JOB_GROUP` varchar(200) DEFAULT NULL,
                                       `IS_NONCONCURRENT` varchar(1) DEFAULT NULL,
                                       `REQUESTS_RECOVERY` varchar(1) DEFAULT NULL,
                                       PRIMARY KEY (`SCHED_NAME`,`ENTRY_ID`) USING BTREE,
                                       KEY `IDX_QRTZ_FT_TRIG_INST_NAME` (`SCHED_NAME`,`INSTANCE_NAME`) USING BTREE,
                                       KEY `IDX_QRTZ_FT_INST_JOB_REQ_RCVRY` (`SCHED_NAME`,`INSTANCE_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
                                       KEY `IDX_QRTZ_FT_J_G` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
                                       KEY `IDX_QRTZ_FT_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
                                       KEY `IDX_QRTZ_FT_T_G` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
                                       KEY `IDX_QRTZ_FT_TG` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details` (
                                    `SCHED_NAME` varchar(120) NOT NULL,
                                    `JOB_NAME` varchar(200) NOT NULL,
                                    `JOB_GROUP` varchar(200) NOT NULL,
                                    `DESCRIPTION` varchar(250) DEFAULT NULL,
                                    `JOB_CLASS_NAME` varchar(250) NOT NULL,
                                    `IS_DURABLE` varchar(1) NOT NULL,
                                    `IS_NONCONCURRENT` varchar(1) NOT NULL,
                                    `IS_UPDATE_DATA` varchar(1) NOT NULL,
                                    `REQUESTS_RECOVERY` varchar(1) NOT NULL,
                                    `JOB_DATA` blob,
                                    PRIMARY KEY (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
                                    KEY `IDX_QRTZ_J_REQ_RECOVERY` (`SCHED_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
                                    KEY `IDX_QRTZ_J_GRP` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks` (
                              `SCHED_NAME` varchar(120) NOT NULL,
                              `LOCK_NAME` varchar(40) NOT NULL,
                              PRIMARY KEY (`SCHED_NAME`,`LOCK_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------
BEGIN;
INSERT INTO `qrtz_locks` VALUES ('ClusterQuartz', 'STATE_ACCESS');
COMMIT;

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps` (
                                            `SCHED_NAME` varchar(120) NOT NULL,
                                            `TRIGGER_GROUP` varchar(200) NOT NULL,
                                            PRIMARY KEY (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state` (
                                        `SCHED_NAME` varchar(120) NOT NULL,
                                        `INSTANCE_NAME` varchar(200) NOT NULL,
                                        `LAST_CHECKIN_TIME` bigint NOT NULL,
                                        `CHECKIN_INTERVAL` bigint NOT NULL,
                                        PRIMARY KEY (`SCHED_NAME`,`INSTANCE_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------
BEGIN;
INSERT INTO `qrtz_scheduler_state` VALUES ('ClusterQuartz', 'king-MacBook-Pro.local1689589158779', 1689589162138, 5000);
COMMIT;

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers` (
                                        `SCHED_NAME` varchar(120) NOT NULL,
                                        `TRIGGER_NAME` varchar(200) NOT NULL,
                                        `TRIGGER_GROUP` varchar(200) NOT NULL,
                                        `REPEAT_COUNT` bigint NOT NULL,
                                        `REPEAT_INTERVAL` bigint NOT NULL,
                                        `TIMES_TRIGGERED` bigint NOT NULL,
                                        PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers` (
                                         `SCHED_NAME` varchar(120) NOT NULL,
                                         `TRIGGER_NAME` varchar(200) NOT NULL,
                                         `TRIGGER_GROUP` varchar(200) NOT NULL,
                                         `STR_PROP_1` varchar(512) DEFAULT NULL,
                                         `STR_PROP_2` varchar(512) DEFAULT NULL,
                                         `STR_PROP_3` varchar(512) DEFAULT NULL,
                                         `INT_PROP_1` int DEFAULT NULL,
                                         `INT_PROP_2` int DEFAULT NULL,
                                         `LONG_PROP_1` bigint DEFAULT NULL,
                                         `LONG_PROP_2` bigint DEFAULT NULL,
                                         `DEC_PROP_1` decimal(13,4) DEFAULT NULL,
                                         `DEC_PROP_2` decimal(13,4) DEFAULT NULL,
                                         `BOOL_PROP_1` varchar(1) DEFAULT NULL,
                                         `BOOL_PROP_2` varchar(1) DEFAULT NULL,
                                         PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers` (
                                 `SCHED_NAME` varchar(120) NOT NULL,
                                 `TRIGGER_NAME` varchar(200) NOT NULL,
                                 `TRIGGER_GROUP` varchar(200) NOT NULL,
                                 `JOB_NAME` varchar(200) NOT NULL,
                                 `JOB_GROUP` varchar(200) NOT NULL,
                                 `DESCRIPTION` varchar(250) DEFAULT NULL,
                                 `NEXT_FIRE_TIME` bigint DEFAULT NULL,
                                 `PREV_FIRE_TIME` bigint DEFAULT NULL,
                                 `PRIORITY` int DEFAULT NULL,
                                 `TRIGGER_STATE` varchar(16) NOT NULL,
                                 `TRIGGER_TYPE` varchar(8) NOT NULL,
                                 `START_TIME` bigint NOT NULL,
                                 `END_TIME` bigint DEFAULT NULL,
                                 `CALENDAR_NAME` varchar(200) DEFAULT NULL,
                                 `MISFIRE_INSTR` smallint DEFAULT NULL,
                                 `JOB_DATA` blob,
                                 PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
                                 KEY `IDX_QRTZ_T_J` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
                                 KEY `IDX_QRTZ_T_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
                                 KEY `IDX_QRTZ_T_C` (`SCHED_NAME`,`CALENDAR_NAME`) USING BTREE,
                                 KEY `IDX_QRTZ_T_G` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE,
                                 KEY `IDX_QRTZ_T_STATE` (`SCHED_NAME`,`TRIGGER_STATE`) USING BTREE,
                                 KEY `IDX_QRTZ_T_N_STATE` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
                                 KEY `IDX_QRTZ_T_N_G_STATE` (`SCHED_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
                                 KEY `IDX_QRTZ_T_NEXT_FIRE_TIME` (`SCHED_NAME`,`NEXT_FIRE_TIME`) USING BTREE,
                                 KEY `IDX_QRTZ_T_NFT_ST` (`SCHED_NAME`,`TRIGGER_STATE`,`NEXT_FIRE_TIME`) USING BTREE,
                                 KEY `IDX_QRTZ_T_NFT_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`) USING BTREE,
                                 KEY `IDX_QRTZ_T_NFT_ST_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_STATE`) USING BTREE,
                                 KEY `IDX_QRTZ_T_NFT_ST_MISFIRE_GRP` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config` (
                              `id` bigint NOT NULL COMMENT '主键',
                              `org_id` bigint DEFAULT NULL COMMENT '机构id',
                              `config_key` varchar(100) NOT NULL COMMENT '参数键名',
                              `config_name` varchar(100) NOT NULL COMMENT '参数名称',
                              `config_value` varchar(100) DEFAULT NULL COMMENT '参数键值',
                              `remark` varchar(100) DEFAULT NULL COMMENT '备注',
                              `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                              `sort` int DEFAULT '1' COMMENT '排序',
                              `create_id` bigint DEFAULT NULL COMMENT '创建人',
                              `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                              `update_id` bigint DEFAULT NULL COMMENT '更新人',
                              `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                              PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='参数表';

-- ----------------------------
-- Records of sys_config
-- ----------------------------
BEGIN;
INSERT INTO `sys_config` VALUES (1, NULL, 'sys.user.initPassword', '初始密码', '123456', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (2, NULL, 'sys.warning.days', '预警天数', '3', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (3, NULL, 'sys.code.enable', '是否启用短信验证码', 'true', 'true-启用，false-禁用', 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (4, NULL, 'sys.message.enable', '是否启用短信消息提示', 'true', 'true-启用，false-禁用', 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (5, NULL, 'sys.message.resendCount', '失败短信重试次数', '3', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (6, NULL, 'attachment.type', '附件类型', '[.xlsx,.xls,.doc,.docx,.pdf,.jpg,.jpeg,.png,.html,.zip,.mp3,.wav,.dll,.exe,.ftl,.bpmn,.xml]', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (7, NULL, 'attachment.length', '附件名称长度', '100', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (8, NULL, 'attachment.size', '附件大小 ', '200', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (9, NULL, 'thread.pool.core.size', '自定义线程池大小', '200', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (10, NULL, 'custom.thread.pool.core.size', '是否自定义线程池大小', 'true', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (11, NULL, 'session.active', 'session会话时长', '6h', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (12, NULL, 'sms.normal.code', '万能短信验证码', 'qmth', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (13, NULL, 'code.expired.time', '短信验证码有效时间', '2', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (14, NULL, 'code.send.interval', '短信验证码发送间隔', '60', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (15, NULL, 'sms.sign.name', '短信签名', 'sop', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (16, NULL, 'sys.txt.charset', 'txt文件编码', 'UTF-8', NULL, 1, 1, 1, NULL, NULL, 1684994975313);
INSERT INTO `sys_config` VALUES (17, NULL, 'admin.logo.url', '超级管理员logo', 'http://qmth-test.oss-cn-shenzhen.aliyuncs.com/frontend/wx_logo.png', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (18, NULL, 'sms.sign.name', '短信签名', '质控平台', NULL, 1, 1, 1, NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_custom
-- ----------------------------
DROP TABLE IF EXISTS `sys_custom`;
CREATE TABLE `sys_custom` (
                              `id` bigint NOT NULL COMMENT '主键',
                              `name` varchar(100) NOT NULL COMMENT '名称',
                              `code` varchar(100) DEFAULT NULL COMMENT '编码',
                              `type` varchar(20) DEFAULT NULL COMMENT '类型，OFFICE：教务处，CLOUD_MARK：云阅卷',
                              `province` varchar(100) NOT NULL COMMENT '省份',
                              `city` varchar(100) NOT NULL COMMENT '城市',
                              `area` varchar(100) DEFAULT NULL COMMENT '县区',
                              `address` varchar(150) DEFAULT NULL COMMENT '地址',
                              `manager_id` bigint DEFAULT NULL COMMENT '客户经理id',
                              `level_id` bigint DEFAULT NULL COMMENT '档位id',
                              `peoper_day` int DEFAULT NULL COMMENT '标准人天',
                              `sync` tinyint NOT NULL DEFAULT '0' COMMENT '是否crm同步，0：否，1：是',
                              `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                              `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                              `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                              `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                              `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='客户表';

-- ----------------------------
-- Table structure for sys_device
-- ----------------------------
DROP TABLE IF EXISTS `sys_device`;
CREATE TABLE `sys_device` (
                              `id` bigint NOT NULL COMMENT '主键',
                              `name` varchar(100) NOT NULL COMMENT '名称',
                              `serial_no` varchar(100) NOT NULL COMMENT '序列号',
                              `brand` varchar(100) NOT NULL COMMENT '品牌',
                              `buy_time` bigint NOT NULL COMMENT '购买时间',
                              `supplier` varchar(100) DEFAULT NULL COMMENT '供应商',
                              `status` varchar(20) DEFAULT NULL COMMENT '状态，NORMAL：正常，BREAK_DOWN：故障',
                              `location` varchar(100) DEFAULT NULL COMMENT '当前所在地',
                              `scan_count` bigint DEFAULT NULL COMMENT '总扫描量',
                              `sync` tinyint NOT NULL DEFAULT '0' COMMENT '是否crm同步，0：否，1：是',
                              `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                              `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                              `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                              `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                              `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='设备配置表';

-- ----------------------------
-- Table structure for sys_ding_group
-- ----------------------------
DROP TABLE IF EXISTS `sys_ding_group`;
CREATE TABLE `sys_ding_group` (
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `service_id` bigint NOT NULL COMMENT '服务单元id',
                                  `name` varchar(100) NOT NULL COMMENT '名称',
                                  `supplier_id` bigint NOT NULL COMMENT '供应商id',
                                  `sign_in_time` varchar(50) NOT NULL COMMENT '签到时段',
                                  `sign_out_time` varchar(50) NOT NULL COMMENT '签退时段',
                                  `face_open` tinyint NOT NULL DEFAULT '1' COMMENT '是否开启人脸，0：不开启，1：开启',
                                  `reissue_card_count` int DEFAULT NULL COMMENT '允许补卡次数',
                                  `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                                  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                  `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                  `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='考勤组表';

-- ----------------------------
-- Table structure for sys_ding_obj
-- ----------------------------
DROP TABLE IF EXISTS `sys_ding_obj`;
CREATE TABLE `sys_ding_obj` (
                                `id` bigint NOT NULL COMMENT '主键',
                                `ding_group_id` bigint NOT NULL COMMENT '考勤组id',
                                `role_id` bigint NOT NULL COMMENT '角色id',
                                `type` varchar(20) NOT NULL COMMENT '类型，DING：考勤，APPROVE：审核',
                                PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='考勤组对象表';

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job` (
                           `id` bigint NOT NULL COMMENT '主键',
                           `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                           `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                           `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                           `user_id` bigint NOT NULL COMMENT '责任人id',
                           `job_time` bigint NOT NULL COMMENT '任务时间',
                           `type` varchar(20) NOT NULL COMMENT '类型，BEFORE：任务前提醒，AFTER：任务后提醒',
                           `unit` varchar(20) NOT NULL COMMENT '单位，HOUR：小时，MINUTE：分钟',
                           `status` varchar(20) NOT NULL COMMENT '状态，NOT_EXEC：未执行，EXEC：已执行',
                           `exec_time` bigint NOT NULL COMMENT '执行时间',
                           `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统任务表';

-- ----------------------------
-- Table structure for sys_level
-- ----------------------------
DROP TABLE IF EXISTS `sys_level`;
CREATE TABLE `sys_level` (
                             `id` bigint NOT NULL COMMENT '主键',
                             `level` varchar(50) NOT NULL COMMENT '档位',
                             `type` varchar(20) NOT NULL COMMENT '类型，OFFICE：教务处，CLOUD_MARK：云阅卷',
                             `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                             `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                             `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='档位表';

-- ----------------------------
-- Table structure for sys_level_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_level_role`;
CREATE TABLE `sys_level_role` (
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `level_id` bigint NOT NULL COMMENT '服务档位id',
                                  `role_id` bigint NOT NULL COMMENT '角色id',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='服务档位角色配置表';

-- ----------------------------
-- Table structure for sys_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_log`;
CREATE TABLE `sys_log` (
                           `id` bigint NOT NULL COMMENT '主键',
                           `type` varchar(20) NOT NULL COMMENT '类别，LOGIN：登录，LOGOUT：退出以及数据库DDL和DML操作',
                           `obj_name` varchar(1000) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '实体名称',
                           `obj_id` bigint DEFAULT NULL COMMENT '实体id',
                           `content` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '内容',
                           `update_before_obj` mediumtext CHARACTER SET utf8mb4 COMMENT '更改前内容',
                           `update_after_obj` mediumtext CHARACTER SET utf8mb4 COMMENT '更改后内容',
                           `create_time` bigint NOT NULL COMMENT '创建时间',
                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统日志';

-- ----------------------------
-- Table structure for sys_message
-- ----------------------------
DROP TABLE IF EXISTS `sys_message`;
CREATE TABLE `sys_message` (
                               `id` bigint NOT NULL COMMENT '主键',
                               `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                               `type` varchar(20) NOT NULL COMMENT '类型，DELAY：延期提醒，EXCEPTION_APPROVE：异常审核提醒，VIOLATION：违规提醒，SYSTEM_PLAN_CHANGE：系统计划变更提醒，SYSTEM：系统公告',
                               `notice_id` bigint DEFAULT NULL COMMENT '公告id',
                               `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                               `form_user_id` bigint DEFAULT NULL COMMENT '发送人id',
                               `receive_user_id` bigint NOT NULL COMMENT '接收人id',
                               `content` varchar(1000) NOT NULL COMMENT '消息内容',
                               `send_time` bigint NOT NULL COMMENT '发送时间',
                               `receive_time` bigint DEFAULT NULL COMMENT '接收时间',
                               `status` tinyint NOT NULL DEFAULT '0' COMMENT '是否已阅，0：未阅，1：已阅',
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统消息';

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice` (
                              `id` bigint NOT NULL COMMENT '主键',
                              `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                              `title` varchar(200) CHARACTER SET utf8mb4mb4 NOT NULL COMMENT '标题',
                              `content` varchar(1000) NOT NULL COMMENT '内容',
                              `type` varchar(20) DEFAULT NULL COMMENT '类型，SYSTEM：公告，SUPPLIER：供应商，SERVICE：服务单元',
                              `status` varchar(20) DEFAULT NULL COMMENT '状态，PUBLISH：已发布，UN_PUBLISH：未发布',
                              `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                              `publish_time` bigint DEFAULT NULL COMMENT '发布日期',
                              `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                              `create_time` bigint DEFAULT NULL COMMENT '创建人时间',
                              `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                              `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='公告表';

-- ----------------------------
-- Table structure for sys_org
-- ----------------------------
DROP TABLE IF EXISTS `sys_org`;
CREATE TABLE `sys_org` (
                           `id` bigint NOT NULL COMMENT '主键',
                           `type` varchar(50) DEFAULT NULL COMMENT '类型',
                           `code` varchar(20) DEFAULT NULL COMMENT '机构代码',
                           `name` varchar(100) NOT NULL COMMENT '机构名称',
                           `parent_id` bigint DEFAULT NULL COMMENT '上级机构id',
                           `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                           `create_id` bigint DEFAULT NULL COMMENT '创建人',
                           `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                           `update_id` bigint DEFAULT NULL COMMENT '修改人',
                           `update_time` bigint DEFAULT NULL COMMENT '修改时间',
                           PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='组织架构表';

-- ----------------------------
-- Table structure for sys_privilege
-- ----------------------------
DROP TABLE IF EXISTS `sys_privilege`;
CREATE TABLE `sys_privilege` (
                                 `id` bigint NOT NULL COMMENT '主键',
                                 `name` varchar(100) NOT NULL COMMENT '菜单名称',
                                 `url` varchar(100) NOT NULL COMMENT 'URL地址',
                                 `type` varchar(50) NOT NULL COMMENT '类型，MENU：菜单，BUTTON：按钮，LINK：链接，URL：接口地址，LIST：列表，CONDITION：查询条件，TAB：选项卡',
                                 `parent_id` bigint DEFAULT NULL COMMENT '上级菜单',
                                 `sequence` int NOT NULL COMMENT '序号',
                                 `property` varchar(30) DEFAULT NULL COMMENT '属性，NO_AUTH：无需鉴权，AUTH：鉴权，SYS：系统公用',
                                 `related` text COMMENT '关联属性，type为URL且property为AUTH才有',
                                 `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                                 `default_auth` tinyint DEFAULT '1' COMMENT '默认权限，0：否，1：是',
                                 `front_display` tinyint(1) DEFAULT '1' COMMENT '是否前端展示',
                                 PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='菜单权限表';

-- ----------------------------
-- Records of sys_privilege
-- ----------------------------
BEGIN;
INSERT INTO `sys_privilege` VALUES (1, '用户登录', '/api/admin/common/login', 'URL', NULL, 1, 'NO_AUTH', NULL, 1, 1, 1);
INSERT INTO `sys_privilege` VALUES (2, '用户登出', '/api/admin/common/logout', 'URL', NULL, 2, 'SYS', NULL, 1, 1, 1);
INSERT INTO `sys_privilege` VALUES (3, '测试url1', '/api/admin/common/test1', 'URL', NULL, 1, 'AUTH', NULL, 1, 1, 1);
INSERT INTO `sys_privilege` VALUES (4, '测试url2', '/api/admin/common/test2', 'URL', NULL, 2, 'SYS', NULL, 1, 1, 1);
INSERT INTO `sys_privilege` VALUES (5, '测试url3', '/api/admin/common/test3', 'URL', NULL, 2, 'AUTH', NULL, 1, 1, 1);
COMMIT;

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `org_id` bigint DEFAULT NULL COMMENT '机构id',
                            `name` varchar(50) NOT NULL COMMENT '角色名称',
                            `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                            `type` varchar(20) DEFAULT NULL COMMENT '角色类别，ADMIN：超级管理员，PMO：总负责人，BUSSINESS：业务线负责人，REGION_MANAGER：大区经理，REGION_COORDINATOR：区域协调人，EFFECT_ENGINEER：实施工程师，ASSISTANT_ENGINEER：助理工程师，QA：QA，CUSTOM：技术客服',
                            `create_id` bigint DEFAULT NULL COMMENT '创建人',
                            `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                            `update_id` bigint DEFAULT NULL COMMENT '修改人',
                            `update_time` bigint DEFAULT NULL COMMENT '修改时间',
                            `default_role` tinyint NOT NULL DEFAULT '0' COMMENT '是否系统内置角色，1：是，0：不是',
                            `interpret` varchar(1000) DEFAULT NULL COMMENT '角色说明',
                            PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='角色表';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
BEGIN;
INSERT INTO `sys_role` VALUES (1, NULL, '系统管理员', 1, 'ADMIN', NULL, NULL, NULL, NULL, 1, NULL);
INSERT INTO `sys_role` VALUES (2, NULL, '主任', 1, 'PMO', NULL, NULL, NULL, NULL, 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_role_privilege
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_privilege`;
CREATE TABLE `sys_role_privilege` (
                                      `id` bigint NOT NULL COMMENT '主键',
                                      `role_id` bigint NOT NULL COMMENT '角色id',
                                      `privilege_id` bigint NOT NULL COMMENT '菜单id',
                                      `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                                      PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='角色和菜单关联表';

-- ----------------------------
-- Records of sys_role_privilege
-- ----------------------------
BEGIN;
INSERT INTO `sys_role_privilege` VALUES (1, 1, 1, 1);
COMMIT;

-- ----------------------------
-- Table structure for sys_supplier
-- ----------------------------
DROP TABLE IF EXISTS `sys_supplier`;
CREATE TABLE `sys_supplier` (
                                `id` bigint NOT NULL COMMENT '主键',
                                `name` varchar(100) NOT NULL COMMENT '名称',
                                `code` varchar(100) NOT NULL COMMENT '编码',
                                `type` varchar(20) NOT NULL COMMENT '类型，HUMAN：人力，DEVICE：设备',
                                `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                                `remark` varchar(500) DEFAULT NULL COMMENT '备注',
                                `sync` tinyint NOT NULL DEFAULT '0' COMMENT '是否crm同步，0：否，1：是',
                                `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='供应商表';

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `login_name` varchar(100) NOT NULL COMMENT '用户名',
                            `real_name` varchar(100) NOT NULL COMMENT '姓名',
                            `code` varchar(100) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '工号',
                            `password` varchar(50) NOT NULL COMMENT '密码',
                            `mobile_number` varchar(30) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '手机号',
                            `org_id` bigint DEFAULT NULL COMMENT '机构id',
                            `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                            `pwd_count` tinyint DEFAULT '0' COMMENT '密码修改次数，默认为0',
                            `pwd_update_time` bigint DEFAULT NULL COMMENT '密码修改时间',
                            `remark` varchar(200) DEFAULT NULL COMMENT '备注',
                            `source` varchar(20) CHARACTER SET utf8mb4mb4 DEFAULT 'SYSTEM' COMMENT '来源，SYSTEM：系统自带，ARCHIVES：档案',
                            `create_id` bigint DEFAULT NULL COMMENT '创建人',
                            `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                            `update_id` bigint DEFAULT NULL COMMENT '修改人',
                            `update_time` bigint DEFAULT NULL COMMENT '修改时间',
                            PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='用户表';

-- ----------------------------
-- Records of sys_user
-- ----------------------------
BEGIN;
INSERT INTO `sys_user` VALUES (1, 'sysadmin', 'sysadmin', NULL, 'MTIzNDU2', NULL, NULL, 1, 1, 1629353956868, NULL, 'SYSTEM', NULL, NULL, NULL, 1629353956881);
INSERT INTO `sys_user` VALUES (2, 'admin1', 'admin1', NULL, 'MTIzNDU2', NULL, NULL, 1, 1, 1629353956868, NULL, 'SYSTEM', NULL, NULL, NULL, 1629353956881);
COMMIT;

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
                                 `id` bigint NOT NULL COMMENT '主键',
                                 `user_id` bigint NOT NULL COMMENT '用户id',
                                 `role_id` bigint NOT NULL COMMENT '角色id',
                                 `privilege_id` bigint DEFAULT NULL COMMENT '权限id',
                                 `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                                 PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='用户和角色关联表';

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
BEGIN;
INSERT INTO `sys_user_role` VALUES (1, 1, 1, NULL, 1);
INSERT INTO `sys_user_role` VALUES (2, 2, 2, NULL, 1);
COMMIT;

-- ----------------------------
-- Table structure for t_b_crm
-- ----------------------------
DROP TABLE IF EXISTS `t_b_crm`;
CREATE TABLE `t_b_crm` (
                           `id` bigint NOT NULL COMMENT '主键',
                           `crm_no` varchar(100) NOT NULL COMMENT '项目单号',
                           `name` varchar(100) NOT NULL COMMENT '项目名称',
                           `begin_time` bigint NOT NULL COMMENT '派单时间',
                           `service_id` bigint NOT NULL COMMENT '服务单元id',
                           `crm_user_id` bigint NOT NULL COMMENT '派单人id',
                           `custom_id` bigint NOT NULL COMMENT '客户id',
                           `exam_start_time` bigint DEFAULT NULL COMMENT '考试开始时间',
                           `exam_end_time` bigint DEFAULT NULL COMMENT '考试结束时间',
                           `product_id` bigint NOT NULL COMMENT '产品id',
                           `lead_id` bigint DEFAULT NULL COMMENT '区域经理id',
                           `sync` tinyint NOT NULL DEFAULT '0' COMMENT '是否crm同步，false：否，true：是',
                           `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                           `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                           `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                           `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                           `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='派单信息表';

-- ----------------------------
-- Table structure for t_b_delay_warn
-- ----------------------------
DROP TABLE IF EXISTS `t_b_delay_warn`;
CREATE TABLE `t_b_delay_warn` (
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                  `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                  `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                                  `message_id` bigint DEFAULT NULL COMMENT '消息id',
                                  `code` varchar(20) NOT NULL COMMENT '编号',
                                  `warn_time` bigint DEFAULT NULL COMMENT '预警时间',
                                  `user_id` bigint DEFAULT NULL COMMENT '负责人id',
                                  `type` varchar(20) NOT NULL COMMENT '类型，PLAN：关键信息及计划，TIME：处理时限',
                                  `field_obj` mediumtext COMMENT '预警字段',
                                  `status` varchar(20) NOT NULL COMMENT '状态，NOT_START：未跟进，FOLLOW：跟进，CLOSE：关闭，RESTART：重启',
                                  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                  `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                  `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='延期预警跟进表';

-- ----------------------------
-- Table structure for t_b_delay_warn_detail
-- ----------------------------
DROP TABLE IF EXISTS `t_b_delay_warn_detail`;
CREATE TABLE `t_b_delay_warn_detail` (
                                         `id` bigint NOT NULL COMMENT '主键',
                                         `delay_warn_id` bigint NOT NULL COMMENT '延期预警id',
                                         `remark` varchar(500) NOT NULL COMMENT '跟进说明',
                                         `attachment_ids` varchar(500) DEFAULT NULL COMMENT '附件ids',
                                         `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                         `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='延期预警明细表';

-- ----------------------------
-- Table structure for t_b_device_in_out
-- ----------------------------
DROP TABLE IF EXISTS `t_b_device_in_out`;
CREATE TABLE `t_b_device_in_out` (
                                     `id` bigint NOT NULL COMMENT '主键',
                                     `service_id` bigint NOT NULL COMMENT '服务单元id',
                                     `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                     `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                     `in_out_time` bigint NOT NULL COMMENT '出/入库时间',
                                     `user_id` bigint NOT NULL COMMENT '登记人id',
                                     `custom_name` varchar(100) DEFAULT NULL COMMENT '客户名称',
                                     `type` varchar(20) DEFAULT NULL COMMENT '类型，IN：入库，OUT：出库',
                                     `device_no` varchar(50) DEFAULT NULL COMMENT '设备编号',
                                     `supplier_name` varchar(100) DEFAULT NULL COMMENT '供应商名称',
                                     `address` varchar(100) DEFAULT NULL COMMENT '发往地',
                                     `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                     `create_time` bigint DEFAULT NULL COMMENT '创建人时间',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='设备出入库登记';

-- ----------------------------
-- Table structure for t_b_ding
-- ----------------------------
DROP TABLE IF EXISTS `t_b_ding`;
CREATE TABLE `t_b_ding` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                            `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                            `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                            `user_id` bigint NOT NULL COMMENT '用户id',
                            `flow_id` bigint DEFAULT NULL COMMENT '流程id',
                            `task_id` bigint DEFAULT NULL COMMENT '流程任务id',
                            `sign_date` varchar(20) NOT NULL COMMENT '签到日期',
                            `sign_in_time` bigint DEFAULT NULL COMMENT '签到时间',
                            `axis_in_x` varchar(20) DEFAULT NULL COMMENT '坐标轴X',
                            `axis_in_y` varchar(20) DEFAULT NULL COMMENT '坐标轴Y',
                            `face_in_error` tinyint DEFAULT NULL COMMENT '人脸识别是否通过，0：未通过，1：通过',
                            `sign_out_time` bigint DEFAULT NULL COMMENT '签退时间',
                            `axis_out_x` varchar(20) DEFAULT NULL COMMENT '坐标轴X',
                            `axis_out_Y` varchar(20) DEFAULT NULL COMMENT '坐标轴Y',
                            `face_out_error` tinyint DEFAULT NULL COMMENT '人脸识别是否通过，0：未通过，1：通过',
                            `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                            `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                            `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                            `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='考勤打卡表';

-- ----------------------------
-- Table structure for t_b_ding_apply
-- ----------------------------
DROP TABLE IF EXISTS `t_b_ding_apply`;
CREATE TABLE `t_b_ding_apply` (
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `ding_id` bigint NOT NULL COMMENT '考勤id',
                                  `type` varchar(20) NOT NULL COMMENT '类型，IN：签到，OUT：签退',
                                  `apply_time` bigint NOT NULL COMMENT '补卡时间',
                                  `reason` varchar(500) NOT NULL COMMENT '补卡原因',
                                  `attachment_id` bigint DEFAULT NULL COMMENT '附件id',
                                  `flow_id` bigint DEFAULT NULL COMMENT '流程id',
                                  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                  `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='考勤补卡申请表';

-- ----------------------------
-- Table structure for t_b_ding_history
-- ----------------------------
DROP TABLE IF EXISTS `t_b_ding_history`;
CREATE TABLE `t_b_ding_history` (
                                    `id` bigint NOT NULL COMMENT '主键',
                                    `ding_id` bigint NOT NULL COMMENT '考勤id',
                                    `sign_date` varchar(20) NOT NULL COMMENT '签到日期',
                                    `sign_in_time` bigint DEFAULT NULL COMMENT '签到时间',
                                    `axis_in_x` varchar(20) DEFAULT NULL COMMENT '坐标轴X',
                                    `axis_in_y` varchar(20) DEFAULT NULL COMMENT '坐标轴Y',
                                    `face_in_error` tinyint DEFAULT NULL COMMENT '人脸识别是否通过，0：未通过，1：通过',
                                    `sign_out_time` bigint DEFAULT NULL COMMENT '签退时间',
                                    `axis_out_x` varchar(20) DEFAULT NULL COMMENT '坐标轴X',
                                    `axis_out_Y` varchar(20) DEFAULT NULL COMMENT '坐标轴Y',
                                    `face_out_error` tinyint DEFAULT NULL COMMENT '人脸识别是否通过，0：未通过，1：通过',
                                    `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                    `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='考勤打卡表';

-- ----------------------------
-- Table structure for t_b_engineer_allocation
-- ----------------------------
DROP TABLE IF EXISTS `t_b_engineer_allocation`;
CREATE TABLE `t_b_engineer_allocation` (
                                           `id` bigint NOT NULL COMMENT '主键',
                                           `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                                           `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                           `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                           `engineer_user_id` bigint NOT NULL COMMENT '用户id',
                                           `role_id` bigint NOT NULL COMMENT '角色id',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop工程师分配表';

-- ----------------------------
-- Table structure for t_b_product
-- ----------------------------
DROP TABLE IF EXISTS `t_b_product`;
CREATE TABLE `t_b_product` (
                               `id` bigint NOT NULL COMMENT '主键',
                               `name` varchar(100) NOT NULL COMMENT '名称',
                               `code` varchar(100) NOT NULL COMMENT '编码，CLOUD_MARK：云阅卷',
                               `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                               `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                               `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='产品表';

-- ----------------------------
-- Table structure for t_b_project_exchange
-- ----------------------------
DROP TABLE IF EXISTS `t_b_project_exchange`;
CREATE TABLE `t_b_project_exchange` (
                                        `id` bigint NOT NULL COMMENT '主键',
                                        `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                        `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                        `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                                        `type` varchar(20) NOT NULL COMMENT '变更类型，PLAN：项目信息及计划，TIME：处理时限，CANCEL：项目取消',
                                        `reason` varchar(500) NOT NULL COMMENT '变更原因',
                                        `content_json` mediumtext COMMENT '变更内容json',
                                        `enable` tinyint NOT NULL DEFAULT '0' COMMENT '是否启用，0：停用，1：启用',
                                        `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                        `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='项目变更计划表';

-- ----------------------------
-- Table structure for t_b_quality_problem_apply
-- ----------------------------
DROP TABLE IF EXISTS `t_b_quality_problem_apply`;
CREATE TABLE `t_b_quality_problem_apply` (
                                             `id` bigint NOT NULL COMMENT '主键',
                                             `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                             `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                             `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                                             `summary` varchar(1000) NOT NULL COMMENT '问题简要',
                                             `user_id` bigint NOT NULL COMMENT '责任人id',
                                             `type` varchar(20) NOT NULL COMMENT '问题类型，UPDATE：修正类，OPTIMIZE：优化类，NO_PROBLEM：不是问题',
                                             `reason` varchar(20) NOT NULL COMMENT '问题原因类型，EXEC：执行类，MANAGER：管理协调类，FLOW：流程制度类，PRODUCT_PROBLEM：产品缺陷类，PRODUCT_MANAGER：产品运维类，OTHER：其它',
                                             `attachment_id` bigint DEFAULT NULL COMMENT '附件id',
                                             `Influence_degree` varchar(20) DEFAULT NULL COMMENT '影响度：A，B，C，D',
                                             `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                             `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='质量问题反馈表';

-- ----------------------------
-- Table structure for t_b_service
-- ----------------------------
DROP TABLE IF EXISTS `t_b_service`;
CREATE TABLE `t_b_service` (
                               `id` bigint NOT NULL COMMENT '主键',
                               `name` varchar(100) NOT NULL COMMENT '名称',
                               `type` varchar(20) NOT NULL COMMENT '类型，OFFICE：教务处，CLOUD_MARK：云阅卷',
                               `start_time` bigint NOT NULL COMMENT '开始时间',
                               `end_time` bigint NOT NULL COMMENT '结束时间',
                               `region_people_count` int NOT NULL COMMENT '区域协调人数量',
                               `region_project_count` int NOT NULL COMMENT '区域项目数量',
                               `service_lead_id` bigint NOT NULL COMMENT '服务单元负责人id',
                               `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                               `status` varchar(20) NOT NULL COMMENT '状态，NEW：新建，PUBLISH：已发布，FINISH：已完结，CANCEL：已作废',
                               `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                               `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                               `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                               `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='服务单元表';

-- ----------------------------
-- Table structure for t_b_service_region
-- ----------------------------
DROP TABLE IF EXISTS `t_b_service_region`;
CREATE TABLE `t_b_service_region` (
                                      `id` bigint NOT NULL COMMENT '主键',
                                      `service_id` bigint NOT NULL COMMENT '服务单元id',
                                      `lead_id` bigint NOT NULL COMMENT '区域经理id',
                                      `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                                      `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                      `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                      `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                      `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='服务区域规划表';

-- ----------------------------
-- Table structure for t_b_service_region_deatil
-- ----------------------------
DROP TABLE IF EXISTS `t_b_service_region_deatil`;
CREATE TABLE `t_b_service_region_deatil` (
                                             `id` bigint NOT NULL COMMENT '主键',
                                             `service_region_id` bigint NOT NULL COMMENT '服务区域规划id',
                                             `country` varchar(100) NOT NULL DEFAULT '中国' COMMENT '国家',
                                             `province` varchar(100) NOT NULL COMMENT '省份',
                                             `city` varchar(100) NOT NULL COMMENT '城市',
                                             `area` varchar(100) DEFAULT NULL COMMENT '县区',
                                             `address` varchar(150) DEFAULT NULL COMMENT '地址',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='服务区域规划明细表';

-- ----------------------------
-- Table structure for t_b_service_scope
-- ----------------------------
DROP TABLE IF EXISTS `t_b_service_scope`;
CREATE TABLE `t_b_service_scope` (
                                     `id` bigint NOT NULL COMMENT '主键',
                                     `service_id` bigint NOT NULL COMMENT '服务单元id',
                                     `crm_no` varchar(100) NOT NULL COMMENT 'crm单号',
                                     `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                     `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='服务单元范围管理表';

-- ----------------------------
-- Table structure for t_b_session
-- ----------------------------
DROP TABLE IF EXISTS `t_b_session`;
CREATE TABLE `t_b_session` (
                               `id` varchar(100) NOT NULL COMMENT '主键',
                               `org_id` bigint DEFAULT NULL COMMENT '机构id',
                               `identity` varchar(100) NOT NULL COMMENT '用户标识',
                               `type` varchar(50) NOT NULL COMMENT '用户类型',
                               `source` varchar(50) NOT NULL COMMENT '访问来源',
                               `platform` varchar(50) NOT NULL COMMENT '设备分类',
                               `device_id` varchar(100) NOT NULL COMMENT '设备标识',
                               `address` varchar(100) NOT NULL COMMENT '登录IP地址',
                               `access_token` varchar(50) NOT NULL COMMENT '访问令牌',
                               `last_access_time` bigint DEFAULT NULL COMMENT '最近访问时间',
                               `last_access_ip` varchar(100) DEFAULT NULL COMMENT '最近访问IP地址',
                               `update_time` bigint DEFAULT NULL COMMENT '令牌更新时间',
                               `expire_time` bigint DEFAULT NULL COMMENT '令牌强制失效时间',
                               `app_source` varchar(50) DEFAULT NULL COMMENT '应用来源',
                               PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='会话表';

-- ----------------------------
-- Records of t_b_session
-- ----------------------------
BEGIN;
INSERT INTO `t_b_session` VALUES ('f7bd71b338791254d3fa1767ee45a7c5', NULL, '1', '[系统管理员]', 'WEB', 'WEB', '1', '0:0:0:0:0:0:0:1', 'dfdmD_d8BrZp5ZwxR7UFI', 1690268121905, '0:0:0:0:0:0:0:1', NULL, 1690354521905, 'SYSTEM');
COMMIT;

-- ----------------------------
-- Table structure for t_b_sop_info
-- ----------------------------
DROP TABLE IF EXISTS `t_b_sop_info`;
CREATE TABLE `t_b_sop_info` (
                                `id` bigint NOT NULL COMMENT '主键',
                                `crm_no` varchar(100) NOT NULL COMMENT 'crm单号',
                                `sop_no` varchar(100) NOT NULL COMMENT 'sop单号',
                                `service_id` bigint NOT NULL COMMENT '服务单元id',
                                `custom_id` bigint NOT NULL COMMENT '客户id',
                                `college_name` varchar(50) NOT NULL COMMENT '学院名称',
                                `project_name` bigint NOT NULL COMMENT '项目名称',
                                `project_id` bigint NOT NULL COMMENT '产品id',
                                `region_user_id` bigint DEFAULT NULL COMMENT '区域负责人id',
                                `cloud_mark_user_id` bigint DEFAULT NULL COMMENT '阅卷负责人id',
                                `type` varchar(20) NOT NULL COMMENT '类型，OFFICE：教务处，CLOUD_MARK：云阅卷',
                                `user_id` bigint NOT NULL COMMENT '提交人id',
                                `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop表';

-- ----------------------------
-- Table structure for t_b_task
-- ----------------------------
DROP TABLE IF EXISTS `t_b_task`;
CREATE TABLE `t_b_task` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `type` varchar(50) NOT NULL COMMENT '任务类型，USER_ARCHIVES_IMPORT：人员档案导入，USER_ARCHIVES_EXPORT：人员档案导出，CUSTOM_IMPORT：客户导入',
                            `entity_id` bigint DEFAULT NULL COMMENT '关联业务对象id',
                            `status` varchar(30) NOT NULL COMMENT '任务状态，INIT：未开始，RUNNING：进行中，FINISH：已完成',
                            `summary` text COMMENT '实时摘要信息',
                            `progress` double DEFAULT NULL COMMENT '执行进度',
                            `result` varchar(30) DEFAULT NULL COMMENT '数据结果，SUCCESS：成功，ERROR：失败',
                            `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
                            `import_file_name` varchar(100) DEFAULT NULL COMMENT '导入文件名',
                            `import_file_path` varchar(500) DEFAULT NULL COMMENT '导入文件路径',
                            `result_file_path` varchar(500) DEFAULT NULL COMMENT '导出文件路径',
                            `report_file_path` varchar(500) DEFAULT NULL COMMENT '报告路径',
                            `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                            `update_id` bigint DEFAULT NULL COMMENT '更新人',
                            `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                            `create_id` bigint DEFAULT NULL COMMENT '创建人',
                            `org_id` bigint DEFAULT NULL COMMENT '机构id',
                            `remark` mediumtext COMMENT '备注',
                            `obj_name` varchar(500) DEFAULT NULL COMMENT '实体名称',
                            `reset_count` int DEFAULT '0' COMMENT '重试次数',
                            `version` int DEFAULT '0' COMMENT '更新版本号',
                            `error_message` varchar(500) DEFAULT NULL COMMENT '人工错误原因',
                            PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='导入导出任务表';

-- ----------------------------
-- Table structure for t_b_user_archives
-- ----------------------------
DROP TABLE IF EXISTS `t_b_user_archives`;
CREATE TABLE `t_b_user_archives` (
                                     `id` bigint NOT NULL COMMENT '主键',
                                     `code` varchar(50) NOT NULL COMMENT '编号',
                                     `name` varchar(100) NOT NULL COMMENT '姓名',
                                     `country` varchar(100) NOT NULL DEFAULT '中国' COMMENT '国家',
                                     `province` varchar(100) NOT NULL COMMENT '省份',
                                     `city` varchar(100) NOT NULL COMMENT '城市',
                                     `area` varchar(100) DEFAULT NULL COMMENT '县区',
                                     `address` varchar(150) DEFAULT NULL COMMENT '地址',
                                     `identity` varchar(50) NOT NULL COMMENT '身份证号',
                                     `gender` varchar(20) NOT NULL COMMENT '性别，MAN：男，WOMAN：女',
                                     `education` varchar(20) DEFAULT NULL COMMENT '学历',
                                     `mobile_number` varchar(30) NOT NULL COMMENT '手机号',
                                     `email` varchar(30) NOT NULL COMMENT '邮箱',
                                     `base_photo_path` varchar(500) NOT NULL COMMENT '底照保存地址',
                                     `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                     `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                     `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                     `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='人员档案表';

-- ----------------------------
-- Table structure for t_b_user_archives_allocation
-- ----------------------------
DROP TABLE IF EXISTS `t_b_user_archives_allocation`;
CREATE TABLE `t_b_user_archives_allocation` (
                                                `id` bigint NOT NULL COMMENT '主键',
                                                `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                                                `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                                `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                                `region_user_id` bigint NOT NULL COMMENT '区域协调人id',
                                                `user_id` bigint NOT NULL COMMENT '工程师id',
                                                `role_id` bigint NOT NULL COMMENT '角色id',
                                                PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='人员分配表';

-- ----------------------------
-- Table structure for t_b_user_archives_supplier
-- ----------------------------
DROP TABLE IF EXISTS `t_b_user_archives_supplier`;
CREATE TABLE `t_b_user_archives_supplier` (
                                              `id` bigint NOT NULL COMMENT '主键',
                                              `user_archives_id` bigint NOT NULL COMMENT '人员档案id',
                                              `archives_time` bigint NOT NULL COMMENT '入档时间',
                                              `authentication_time` bigint DEFAULT NULL COMMENT '认证时间',
                                              `authentication_score` double DEFAULT NULL COMMENT '认证成绩',
                                              `authentication_valid_time` bigint DEFAULT NULL COMMENT '认证有效时间',
                                              `remark` varchar(500) DEFAULT NULL COMMENT '备注',
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='人员档案与供应商表';

-- ----------------------------
-- Table structure for t_b_violation
-- ----------------------------
DROP TABLE IF EXISTS `t_b_violation`;
CREATE TABLE `t_b_violation` (
                                 `id` bigint NOT NULL COMMENT '主键',
                                 `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                 `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                 `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                                 `user_id` bigint NOT NULL COMMENT '负责人id',
                                 `type` varchar(20) NOT NULL COMMENT '类型，CONTENT_ERROR：内容错误虚假，LOGIC_ERROR：逻辑不合理，OTHER：其它',
                                 `content` varchar(500) NOT NULL COMMENT '违规情况',
                                 `status` varchar(20) NOT NULL COMMENT '状态，NOT_START：未跟进，FOLLOW：跟进，CLOSE：关闭，RESTART：重启',
                                 `attachment_ids` varchar(500) DEFAULT NULL COMMENT '附件ids',
                                 `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                 `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                 `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                 `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop违规登记表';

-- ----------------------------
-- Table structure for t_b_violation_detail
-- ----------------------------
DROP TABLE IF EXISTS `t_b_violation_detail`;
CREATE TABLE `t_b_violation_detail` (
                                        `id` bigint NOT NULL COMMENT '主键',
                                        `violation_id` bigint NOT NULL COMMENT '违规id',
                                        `remark` varchar(500) NOT NULL COMMENT '跟进说明',
                                        `attachment_ids` varchar(500) DEFAULT NULL COMMENT '附件ids',
                                        `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                        `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='违规明细表';

-- ----------------------------
-- Table structure for t_d_form_widget
-- ----------------------------
DROP TABLE IF EXISTS `t_d_form_widget`;
CREATE TABLE `t_d_form_widget` (
                                   `id` bigint NOT NULL COMMENT '主键',
                                   `parent_id` bigint DEFAULT NULL COMMENT '父id',
                                   `code` varchar(20) DEFAULT NULL COMMENT '编码，TEXT：文本，TEXTAREA：文本域，SELECT：下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它',
                                   `type` varchar(20) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '类型，FORM：表单，TABLE：表格，OTHER：其它',
                                   `fit` varchar(20) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '适用，PC：电脑端，MOBILE：移动端，COMMON：共用',
                                   `form_id` varchar(50) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '表单id',
                                   `form_name` varchar(50) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '表单名称',
                                   `title` varchar(100) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '标题',
                                   `input_type` varchar(20) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '输入类型，STRING：字符串，INT：整型，LONG：长整型，DOUBLE：浮点型，ENUM：枚举，DATE：日期，BOOL：布尔，BIGDECIMAL：精确浮点',
                                   `required` tinyint DEFAULT '1' COMMENT '是否必填，0：非必填，1：必填',
                                   `readable` tinyint DEFAULT '0' COMMENT '是否只读，0：非只读，1：只读',
                                   `writable` tinyint DEFAULT '1' COMMENT '是否可写，0：非可写，1：可写',
                                   `visable` tinyint DEFAULT '1' COMMENT '是否可见，0：不可见，1：可见',
                                   `scale` int DEFAULT NULL COMMENT '保留小数点几位',
                                   `length` int DEFAULT NULL COMMENT '长度',
                                   `binding` varchar(30) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '绑定字段',
                                   `value` varchar(500) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '控件用值',
                                   `data_grid` varchar(100) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '数据来源',
                                   `tips` varchar(100) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '提示',
                                   `format` varchar(20) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '格式',
                                   `span` int DEFAULT '6' COMMENT '占宽符',
                                   `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                   `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                   `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                   `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='动态表单控件表';

-- ----------------------------
-- Records of t_d_form_widget
-- ----------------------------
BEGIN;
INSERT INTO `t_d_form_widget` VALUES (1, NULL, 'TEXT', 'FORM', 'COMMON', 'crm_child_no', 'crm_child_no', '项目子单编号', 'STRING', 0, 1, 0, 1, NULL, NULL, 'crm_child_no', NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (2, NULL, 'SELECT', 'FORM', 'COMMON', 'custom_type', 'custom_type', '客户类型', NULL, 1, 0, 1, 1, NULL, NULL, 'custom_type', NULL, '/api/admin/widget/custom/list', NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (3, NULL, 'POP_SELECT', 'FORM', 'COMMON', 'crm_manager', 'crm_manager', '派单客户经理', NULL, 1, 0, 1, 1, NULL, NULL, 'crm_manager', NULL, '/api/admin/widget/crm/manager', NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (4, NULL, 'SELECT', 'FORM', 'COMMON', 'custom_name', 'custom_name', '客户名称', NULL, 1, 0, 1, 1, NULL, NULL, 'custom_name', NULL, '/api/admin/widget/school/list', NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (5, NULL, 'SELECT', 'FORM', 'COMMON', 'crm_parent_no', 'crm_parent_no', '项目母单编号', NULL, 0, 0, 1, 1, NULL, NULL, 'crm_parent_no', NULL, '/api/admin/widget/crm/parent_no/list', NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (6, NULL, 'TEXT', 'FORM', 'COMMON', 'crm_name', 'crm_name', '项目名称', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (7, NULL, 'TEXT', 'FORM', 'COMMON', 'org_name', 'org_name', '学院分(子)机构', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (8, NULL, 'SELECT', 'FORM', 'COMMON', 'product', 'product', '实施产品', NULL, 1, 0, 1, 1, NULL, NULL, 'product', NULL, '/api/admin/widget/product/list', NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (9, NULL, 'POP_SELECT', 'FORM', 'COMMON', 'child_manager', 'child_manager', '子项目经理', NULL, 1, 0, 1, 1, NULL, NULL, 'child_manager', NULL, '/api/admin/widget/crm/manager', NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (10, NULL, 'LABEL', 'FORM', 'COMMON', 'crm_info', 'crm_info', '派单信息', 'STRING', 0, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (11, NULL, 'TEXT', 'FORM', 'COMMON', 'exam_start_time', 'exam_start_time', '考试开始时间', 'STRING', 0, 1, 0, 1, NULL, NULL, 'exam_start_time', NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (12, NULL, 'TEXT', 'FORM', 'COMMON', 'exam_end_time', 'exam_end_time', '考试结束时间', 'STRING', 0, 1, 0, 1, NULL, NULL, 'exam_end_time', NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (13, NULL, 'TEXT', 'FORM', 'COMMON', 'remark', 'remark', '特殊要求及备注', 'STRING', 0, 1, 0, 1, NULL, NULL, 'remark', NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (14, NULL, 'TEXT', 'FORM', 'COMMON', 'project_type', 'project_type', '项目类型', 'STRING', 0, 1, 0, 1, NULL, NULL, 'project_type', NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (15, NULL, 'LABEL', 'FORM', 'COMMON', 'screen', 'screen', '客户沟通或邮件截图', 'STRING', 0, 1, 0, 1, NULL, NULL, NULL, '提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。', NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (16, NULL, 'FILE', 'FORM', 'COMMON', 'screen_file', 'screen_file', '选择', 'STRING', 0, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (17, NULL, 'LABEL', 'FORM', 'COMMON', 'exam_time', 'exam_time', '考试时间安排', 'STRING', 1, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (18, NULL, 'TABLE', 'FORM', 'COMMON', 'exam_time_table', 'exam_time_table', '考试时间安排表格', NULL, 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (19, NULL, 'TEXT', 'TABLE', 'COMMON', 'exam_time_table_text', 'exam_time_table_text', '考试时间安排表格输入框', NULL, 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (20, NULL, 'DATE', 'TABLE', 'COMMON', 'exam_time_table_date', 'exam_time_table_date', '考试时间安排表格时间选择框', NULL, 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, 'yyyy-MM-dd HH:mm:ss', 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (21, NULL, 'LABEL', 'FORM', 'COMMON', 'risk_title', 'risk_title', '风险提示确认', 'STRING', 0, 1, 0, 1, NULL, NULL, NULL, '请项目经理重点关注扫描风险点。例如：\n①答题卡印刷不规范；\n②客观题填涂区域边界不清晰、线条不连贯；\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。', NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (22, NULL, 'LABEL', 'FORM', 'COMMON', 'risk_knowe_title', 'risk_knowe_title', '我已阅读风险提示内容，对风险点预判如下：', 'STRING', 1, 1, 0, 1, NULL, NULL, NULL, '若预判有风险，则请简要填写预判的具体风险点', NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (23, NULL, 'RADIO', 'FORM', 'COMMON', 'risk_no', 'risk_no', '无风险', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (24, NULL, 'RADIO', 'FORM', 'COMMON', 'risk_other', 'risk_other', '其他', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (25, 24, 'TEXTAREA', 'FORM', 'COMMON', 'risk_other_textarea', 'risk_other_textarea', '其他风险文本域', 'STRING', 0, 0, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (26, NULL, 'LABEL', 'FORM', 'COMMON', 'sign_label', 'sign_label', '手写签名', 'STRING', 1, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (27, NULL, 'SIGN', 'FORM', 'COMMON', 'sign', 'sign', '添加签名', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
INSERT INTO `t_d_form_widget` VALUES (28, NULL, 'TEXTAREA', 'FORM', 'COMMON', 'approve_suggestion', 'approve_suggestion', '审批意见', 'STRING', 0, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, 1, 1, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_d_table_prop
-- ----------------------------
DROP TABLE IF EXISTS `t_d_table_prop`;
CREATE TABLE `t_d_table_prop` (
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `widget_id` bigint DEFAULT NULL COMMENT '控件id',
                                  `td_index` int DEFAULT NULL COMMENT '序号',
                                  `td_id` varchar(50) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '列id',
                                  `td_name` varchar(50) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '列名称',
                                  `title` varchar(100) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '标题',
                                  `width` double DEFAULT NULL COMMENT '宽度',
                                  `height` double DEFAULT NULL COMMENT '高度',
                                  `color` varchar(20) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '颜色',
                                  `rowspan` int DEFAULT NULL COMMENT '跨行',
                                  `colspan` int DEFAULT NULL COMMENT '跨列',
                                  `tips` varchar(100) CHARACTER SET utf8mb4mb4 DEFAULT NULL COMMENT '提示',
                                  `td_order` tinyint DEFAULT '1' COMMENT '是否排序，0：不排序，1：排序',
                                  `td_search` tinyint DEFAULT '1' COMMENT '是否搜索，0：不搜索，1：搜索',
                                  `edit_widget_id` bigint DEFAULT NULL COMMENT '编辑控件id',
                                  `obj` mediumtext CHARACTER SET utf8mb4mb4 COMMENT '实体内容',
                                  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                  `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                  `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='表格属性表';

-- ----------------------------
-- Records of t_d_table_prop
-- ----------------------------
BEGIN;
INSERT INTO `t_d_table_prop` VALUES (1, 18, 1, 'course_count', 'course_count', '科目数量', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, 19, NULL, 1, 1, NULL, NULL);
INSERT INTO `t_d_table_prop` VALUES (2, 18, 2, 'course_num', 'course_num', '科次', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, 19, NULL, 1, 1, NULL, NULL);
INSERT INTO `t_d_table_prop` VALUES (3, 18, 3, 'exam_start_time', 'exam_start_time', '考试开始时间', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, 20, NULL, 1, 1, NULL, NULL);
INSERT INTO `t_d_table_prop` VALUES (4, 18, 4, 'exam_end_time', 'exam_end_time', '考试结束时间', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, 20, NULL, 1, 1, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_f_custom_flow
-- ----------------------------
DROP TABLE IF EXISTS `t_f_custom_flow`;
CREATE TABLE `t_f_custom_flow` (
                                   `id` bigint NOT NULL COMMENT '主键',
                                   `org_id` bigint DEFAULT NULL COMMENT '机构id',
                                   `name` varchar(100) NOT NULL COMMENT '流程名称',
                                   `model_type` varchar(50) NOT NULL COMMENT '流程模式类型，USER_FIXED：指定人员，APPROVE_SET：发起人指定',
                                   `type` varchar(100) NOT NULL COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：云阅卷SOP',
                                   `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
                                   `publish` tinyint NOT NULL DEFAULT '1' COMMENT '是否发布，0：否，1：是',
                                   `object_data` mediumtext COMMENT '自定义流程源数据',
                                   `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                   `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                   `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                   `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                   `version` int NOT NULL DEFAULT '1' COMMENT '版本号',
                                   `flow_definition_id` varchar(50) DEFAULT NULL COMMENT '流程定义id',
                                   `flow_deployment_id` varchar(50) DEFAULT NULL COMMENT '流程部署id',
                                   `flow_process_var` mediumtext COMMENT '流程过程变量数据',
                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义流程表';

-- ----------------------------
-- Records of t_f_custom_flow
-- ----------------------------
BEGIN;
INSERT INTO `t_f_custom_flow` VALUES (416276452963516416, NULL, 'testform1.bpmn', 'USER_FIXED', 'OFFICE_SOP_FLOW', 1, 1, NULL, NULL, 1690188840443, NULL, 1690188842736, 1, 'OFFICE_SOP_FLOW:1:1', '416276452271456256', '{\"id\":\"416276452963516416\",\"flowDeploymentId\":\"416276452271456256\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":1}');
INSERT INTO `t_f_custom_flow` VALUES (416892132658249728, NULL, 'testform1.bpmn', 'USER_FIXED', 'OFFICE_SOP_FLOW', 1, 1, NULL, NULL, 1690335629924, NULL, 1690335639243, 2, 'OFFICE_SOP_FLOW:2:2501', '416892130229747712', '{\"id\":\"416892132658249728\",\"flowDeploymentId\":\"416892130229747712\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":2}');
COMMIT;

-- ----------------------------
-- Table structure for t_f_custom_flow_entity
-- ----------------------------
DROP TABLE IF EXISTS `t_f_custom_flow_entity`;
CREATE TABLE `t_f_custom_flow_entity` (
                                          `id` bigint NOT NULL COMMENT '主键',
                                          `t_f_custom_flow_id` bigint NOT NULL COMMENT '自定义流程id',
                                          `code` varchar(20) DEFAULT NULL COMMENT '编号',
                                          `obj_id` bigint DEFAULT NULL COMMENT '实体id',
                                          `flow_id` bigint DEFAULT NULL COMMENT '流程id',
                                          `flow_process_var` mediumtext NOT NULL COMMENT '流程过程变量',
                                          `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                          `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                          `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                          `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                          PRIMARY KEY (`id`) USING BTREE,
                                          KEY `flow_entity_flowId_idx` (`flow_id`),
                                          KEY `flow_entity_custom_flowId_idx` (`t_f_custom_flow_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义流程实体数据';

-- ----------------------------
-- Records of t_f_custom_flow_entity
-- ----------------------------
BEGIN;
INSERT INTO `t_f_custom_flow_entity` VALUES (416277698646638592, 416276452963516416, NULL, NULL, 416277698193653760, '{\"id\":\"416276452963516416\",\"flowDeploymentId\":\"416276452271456256\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"value\":\"1\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":1}', NULL, 1690189137983, NULL, 1690189335278);
INSERT INTO `t_f_custom_flow_entity` VALUES (416278722857926656, 416276452963516416, NULL, NULL, 416278722526576640, '{\"id\":\"416276452963516416\",\"flowDeploymentId\":\"416276452271456256\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"value\":\"1\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":1}', NULL, 1690189381876, NULL, 1690189381876);
INSERT INTO `t_f_custom_flow_entity` VALUES (416278876860186624, 416276452963516416, NULL, NULL, 416278876461727744, '{\"id\":\"416276452963516416\",\"flowDeploymentId\":\"416276452271456256\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"value\":\"1\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":1}', NULL, 1690189418579, NULL, 1690189647533);
INSERT INTO `t_f_custom_flow_entity` VALUES (416279052089819136, 416276452963516416, NULL, NULL, 416279051863326720, '{\"id\":\"416276452963516416\",\"flowDeploymentId\":\"416276452271456256\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"value\":\"1\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":1}', NULL, 1690189478165, NULL, 1690189478165);
INSERT INTO `t_f_custom_flow_entity` VALUES (416522558335090688, 416276452963516416, NULL, NULL, 416522557705945088, '{\"id\":\"416276452963516416\",\"flowDeploymentId\":\"416276452271456256\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"value\":\"1\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":1}', NULL, 1690247517023, NULL, 1690247517023);
INSERT INTO `t_f_custom_flow_entity` VALUES (416646988143001600, 416276452963516416, NULL, NULL, 416646987639685120, '{\"id\":\"416276452963516416\",\"flowDeploymentId\":\"416276452271456256\",\"flowName\":\"testform1.bpmn\",\"setupMap\":{\"f_usertask_jwc_start\":{\"taskName\":\"新增sop\",\"taskKey\":\"f_usertask_jwc_start\",\"setup\":1,\"formKey\":\"start_1.form\",\"formProperty\":[{\"id\":\"1\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_child_no\",\"formName\":\"f_usertask_jwc_start|crm_child_no\",\"title\":\"项目子单编号\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"crm_child_no\",\"value\":\"1\",\"name\":\"文本\"},{\"id\":\"2\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_type\",\"formName\":\"f_usertask_jwc_start|custom_type\",\"title\":\"客户类型\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_type\",\"dataGrid\":\"/api/admin/widget/custom/list\",\"name\":\"下拉框\"},{\"id\":\"3\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_manager\",\"formName\":\"f_usertask_jwc_start|crm_manager\",\"title\":\"派单客户经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"4\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|custom_name\",\"formName\":\"f_usertask_jwc_start|custom_name\",\"title\":\"客户名称\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"custom_name\",\"dataGrid\":\"/api/admin/widget/school/list\",\"name\":\"下拉框\"},{\"id\":\"5\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_parent_no\",\"formName\":\"f_usertask_jwc_start|crm_parent_no\",\"title\":\"项目母单编号\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"crm_parent_no\",\"dataGrid\":\"/api/admin/widget/crm/parent_no/list\",\"name\":\"下拉框\"},{\"id\":\"6\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_name\",\"formName\":\"f_usertask_jwc_start|crm_name\",\"title\":\"项目名称\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"7\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|org_name\",\"formName\":\"f_usertask_jwc_start|org_name\",\"title\":\"学院分(子)机构\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本\"},{\"id\":\"8\",\"code\":\"SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|product\",\"formName\":\"f_usertask_jwc_start|product\",\"title\":\"实施产品\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"product\",\"dataGrid\":\"/api/admin/widget/product/list\",\"name\":\"下拉框\"},{\"id\":\"9\",\"code\":\"POP_SELECT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|child_manager\",\"formName\":\"f_usertask_jwc_start|child_manager\",\"title\":\"子项目经理\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"binding\":\"child_manager\",\"dataGrid\":\"/api/admin/widget/crm/manager\",\"name\":\"弹出选择框\"},{\"id\":\"10\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|crm_info\",\"formName\":\"f_usertask_jwc_start|crm_info\",\"title\":\"派单信息\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"11\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_start_time\",\"formName\":\"f_usertask_jwc_start|exam_start_time\",\"title\":\"考试开始时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_start_time\",\"name\":\"文本\"},{\"id\":\"12\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|exam_end_time\",\"formName\":\"f_usertask_jwc_start|exam_end_time\",\"title\":\"考试结束时间\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"exam_end_time\",\"name\":\"文本\"},{\"id\":\"13\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|remark\",\"formName\":\"f_usertask_jwc_start|remark\",\"title\":\"特殊要求及备注\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"remark\",\"name\":\"文本\"},{\"id\":\"14\",\"code\":\"TEXT\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_start|project_type\",\"formName\":\"f_usertask_jwc_start|project_type\",\"title\":\"项目类型\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"binding\":\"project_type\",\"name\":\"文本\"}]},\"f_usertask_jwc_project\":{\"taskName\":\"教务处sop_项目关键信息\",\"taskKey\":\"f_usertask_jwc_project\",\"setup\":2,\"formKey\":\"project_2.form\",\"formProperty\":[{\"id\":\"15\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen\",\"formName\":\"f_usertask_jwc_project|screen\",\"title\":\"客户沟通或邮件截图\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。\",\"name\":\"标签\"},{\"id\":\"16\",\"code\":\"FILE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|screen_file\",\"formName\":\"f_usertask_jwc_project|screen_file\",\"title\":\"选择\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文件\"},{\"id\":\"17\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time\",\"formName\":\"f_usertask_jwc_project|exam_time\",\"title\":\"考试时间安排\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"18\",\"code\":\"TABLE\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_project|exam_time_table\",\"formName\":\"f_usertask_jwc_project|exam_time_table\",\"title\":\"考试时间安排表格\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"表格\",\"tablePropList\":[{\"id\":\"1\",\"widgetId\":\"18\",\"tdIndex\":1,\"tdId\":\"f_usertask_jwc_project|18|course_count\",\"tdName\":\"f_usertask_jwc_project|18|course_count\",\"title\":\"科目数量\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"2\",\"widgetId\":\"18\",\"tdIndex\":2,\"tdId\":\"f_usertask_jwc_project|18|course_num\",\"tdName\":\"f_usertask_jwc_project|18|course_num\",\"title\":\"科次\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"19\",\"tdFormWidget\":{\"code\":\"TEXT\",\"name\":\"文本\"}},{\"id\":\"3\",\"widgetId\":\"18\",\"tdIndex\":3,\"tdId\":\"f_usertask_jwc_project|18|exam_start_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_start_time\",\"title\":\"考试开始时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}},{\"id\":\"4\",\"widgetId\":\"18\",\"tdIndex\":4,\"tdId\":\"f_usertask_jwc_project|18|exam_end_time\",\"tdName\":\"f_usertask_jwc_project|18|exam_end_time\",\"title\":\"考试结束时间\",\"tdOrder\":true,\"tdSearch\":true,\"editWidgetId\":\"20\",\"tdFormWidget\":{\"code\":\"DATE\",\"name\":\"日期\",\"format\":\"yyyy-MM-dd HH:mm:ss\"}}]}]},\"f_usertask_jwc_inside_approve\":{\"taskName\":\"教务处sop_内审\",\"taskKey\":\"f_usertask_jwc_inside_approve\",\"setup\":3,\"formKey\":\"inside_approve_3.form\",\"formProperty\":[{\"id\":\"21\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_title\",\"title\":\"风险提示确认\",\"inputType\":\"STRING\",\"required\":false,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"请项目经理重点关注扫描风险点。例如：\\n①答题卡印刷不规范；\\n②客观题填涂区域边界不清晰、线条不连贯；\\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。\",\"name\":\"标签\"},{\"id\":\"22\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"formName\":\"f_usertask_jwc_inside_approve|risk_knowe_title\",\"title\":\"我已阅读风险提示内容，对风险点预判如下：\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"value\":\"若预判有风险，则请简要填写预判的具体风险点\",\"name\":\"标签\"},{\"id\":\"23\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_no\",\"formName\":\"f_usertask_jwc_inside_approve|risk_no\",\"title\":\"无风险\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"24\",\"code\":\"RADIO\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other\",\"title\":\"其他\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"单选框\"},{\"id\":\"25\",\"parentId\":\"24\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"formName\":\"f_usertask_jwc_inside_approve|risk_other_textarea\",\"title\":\"其他风险文本域\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":false,\"name\":\"文本域\"},{\"id\":\"26\",\"code\":\"LABEL\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign_label\",\"formName\":\"f_usertask_jwc_inside_approve|sign_label\",\"title\":\"手写签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":true,\"writable\":false,\"visable\":true,\"name\":\"标签\"},{\"id\":\"27\",\"code\":\"SIGN\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|sign\",\"formName\":\"f_usertask_jwc_inside_approve|sign\",\"title\":\"添加签名\",\"inputType\":\"STRING\",\"required\":true,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"签名\"},{\"id\":\"28\",\"code\":\"TEXTAREA\",\"type\":\"FORM\",\"formId\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"formName\":\"f_usertask_jwc_inside_approve|approve_suggestion\",\"title\":\"审批意见\",\"inputType\":\"STRING\",\"required\":false,\"readable\":false,\"writable\":true,\"visable\":true,\"name\":\"文本域\"}]},\"f_usertask_jwc_end\":{\"taskName\":\"结束\",\"taskKey\":\"f_usertask_jwc_end\",\"setup\":0,\"formKey\":null,\"formProperty\":null}},\"version\":1}', NULL, 1690277183082, NULL, 1690277183082);
COMMIT;

-- ----------------------------
-- Table structure for t_f_flow_approve
-- ----------------------------
DROP TABLE IF EXISTS `t_f_flow_approve`;
CREATE TABLE `t_f_flow_approve` (
                                    `id` bigint NOT NULL COMMENT '主键',
                                    `org_id` bigint DEFAULT NULL COMMENT '机构id',
                                    `flow_id` bigint NOT NULL COMMENT '流程id',
                                    `approve_id` bigint DEFAULT NULL COMMENT '审核id',
                                    `status` varchar(50) NOT NULL COMMENT '状态，START：已开始，AUDITING：审核中，REJECT：已驳回，END：已终止，FINISH：已结束',
                                    `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                    `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                    `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                    `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                    `setup` tinyint NOT NULL COMMENT '计划步骤',
                                    `approve_setup` int DEFAULT NULL COMMENT '审批步骤',
                                    `approve_max_setup` int DEFAULT NULL COMMENT '最大审批步骤',
                                    `transfer_assignee` mediumtext COMMENT '流程转办',
                                    `all_assignee` mediumtext COMMENT '会签审批人',
                                    `reject_link` mediumtext COMMENT '驳回路线',
                                    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流程审核表';

-- ----------------------------
-- Records of t_f_flow_approve
-- ----------------------------
BEGIN;
INSERT INTO `t_f_flow_approve` VALUES (416277698646638593, NULL, 416277698193653760, 78, 'FINISH', NULL, 1690189137996, NULL, 1690189335291, 0, NULL, 4, NULL, NULL, NULL);
INSERT INTO `t_f_flow_approve` VALUES (416278722857926657, NULL, 416278722526576640, 34, 'START', NULL, 1690189381884, NULL, 1690189381884, 2, NULL, 4, NULL, NULL, NULL);
INSERT INTO `t_f_flow_approve` VALUES (416278876860186625, NULL, 416278876461727744, 78, 'AUDITING', NULL, 1690189418586, NULL, 1690189647541, 3, NULL, 4, NULL, NULL, NULL);
INSERT INTO `t_f_flow_approve` VALUES (416279052089819137, NULL, 416279051863326720, 78, 'START', NULL, 1690189478172, NULL, 1690189478172, 2, NULL, 4, NULL, NULL, NULL);
INSERT INTO `t_f_flow_approve` VALUES (416522558335090689, NULL, 416522557705945088, 34, 'END', NULL, 1690247517044, NULL, 1690277595020, -1, NULL, 4, NULL, NULL, NULL);
INSERT INTO `t_f_flow_approve` VALUES (416646988143001601, NULL, 416646987639685120, 34, 'DRAFT', NULL, 1690277183101, NULL, 1690277183101, 1, NULL, 4, NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_f_flow_log
-- ----------------------------
DROP TABLE IF EXISTS `t_f_flow_log`;
CREATE TABLE `t_f_flow_log` (
                                `id` bigint NOT NULL COMMENT '主键',
                                `org_id` bigint DEFAULT NULL COMMENT '机构id',
                                `flow_id` bigint NOT NULL COMMENT '流程id',
                                `object_table` varchar(100) DEFAULT NULL COMMENT '实体表',
                                `object_id` bigint NOT NULL COMMENT '实体id',
                                `approve_id` bigint DEFAULT NULL COMMENT '审核人id',
                                `approve_setup` tinyint DEFAULT NULL COMMENT '审核步骤',
                                `approve_remark` mediumtext COMMENT '审核意见',
                                `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                `approve_operation` varchar(50) NOT NULL COMMENT '审批操作，SUBMIT：提交，APPROVE：审批，REJECT：驳回，END：终止',
                                `pend_approve_id` mediumtext COMMENT '待审核人id',
                                `attachment_ids` mediumtext COMMENT '附件id集合',
                                `approve_multi_setup` int DEFAULT NULL COMMENT '审批步骤',
                                `approve_user_approve_type` varchar(30) DEFAULT NULL COMMENT '审批用户类别，ORDER：依次审批，ALL：会签（所有人必须审批），SOME：或签（一名审批人同意或拒绝即可）',
                                `task_id` bigint DEFAULT NULL COMMENT '流程节点id',
                                PRIMARY KEY (`id`) USING BTREE,
                                KEY `flow_log_objectId_idx` (`object_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流程流水表';

-- ----------------------------
-- Records of t_f_flow_log
-- ----------------------------
BEGIN;
INSERT INTO `t_f_flow_log` VALUES (416277699498082304, NULL, 416277698193653760, NULL, 416277698646638592, 56, 1, '提交', NULL, 1690189138006, NULL, 1690189138006, 'START', '78', NULL, NULL, NULL, 416277698243985408);
INSERT INTO `t_f_flow_log` VALUES (416277700164976640, NULL, 416277698193653760, NULL, 416277698646638592, 78, 1, '提交', NULL, 1690189138008, NULL, 1690189138008, 'START', '56, 78', NULL, NULL, NULL, 416277698248179712);
INSERT INTO `t_f_flow_log` VALUES (416278009452953600, NULL, 416277698193653760, NULL, 416277698646638592, 56, 2, '审批', NULL, 1690189211661, NULL, 1690189211661, 'APPROVE', '78', NULL, NULL, NULL, 416277700605378561);
INSERT INTO `t_f_flow_log` VALUES (416278143226085376, NULL, 416277698193653760, NULL, 416277698646638592, 78, 2, '审批', NULL, 1690189243578, NULL, 1690189243578, 'APPROVE', '123', NULL, NULL, NULL, 416277700613767169);
INSERT INTO `t_f_flow_log` VALUES (416278527810207744, NULL, 416277698193653760, NULL, 416277698646638592, 123, 3, '审批', NULL, 1690189335299, NULL, 1690189335299, 'APPROVE', '123', NULL, NULL, NULL, 416278143574212612);
INSERT INTO `t_f_flow_log` VALUES (416278723067641856, NULL, 416278722526576640, NULL, 416278722857926656, 12, 1, '提交', NULL, 1690189381888, NULL, 1690189381888, 'START', '34', NULL, NULL, NULL, 416278722547548171);
INSERT INTO `t_f_flow_log` VALUES (416278723432546304, NULL, 416278722526576640, NULL, 416278722857926656, 34, 1, '提交', NULL, 1690189381890, NULL, 1690189381890, 'START', '12, 34', NULL, NULL, NULL, 416278722564325377);
INSERT INTO `t_f_flow_log` VALUES (416278877023764480, NULL, 416278876461727744, NULL, 416278876860186624, 56, 1, '提交', NULL, 1690189418590, NULL, 1690189418590, 'START', '78', NULL, NULL, NULL, 416278876482699274);
INSERT INTO `t_f_flow_log` VALUES (416278877346725888, NULL, 416278876461727744, NULL, 416278876860186624, 78, 1, '提交', NULL, 1690189418591, NULL, 1690189418591, 'START', '56, 78', NULL, NULL, NULL, 416278876486893570);
INSERT INTO `t_f_flow_log` VALUES (416279052358254592, NULL, 416279051863326720, NULL, 416279052089819136, 56, 1, '提交', NULL, 1690189478175, NULL, 1690189478175, 'START', '78', NULL, NULL, NULL, 416279051880103938);
INSERT INTO `t_f_flow_log` VALUES (416279117474824192, NULL, 416279051863326720, NULL, 416279052089819136, 78, 1, '提交', NULL, 1690189478176, NULL, 1690189478176, 'START', '56, 78', NULL, NULL, NULL, 416279051880103941);
INSERT INTO `t_f_flow_log` VALUES (416279736164024320, NULL, 416278876461727744, NULL, 416278876860186624, 56, 2, '审批', NULL, 1690189623328, NULL, 1690189623328, 'APPROVE', '78', NULL, NULL, NULL, 416278877543858183);
INSERT INTO `t_f_flow_log` VALUES (416279837582295040, NULL, 416278876461727744, NULL, 416278876860186624, 78, 2, '审批', NULL, 1690189647545, NULL, 1690189647545, 'APPROVE', '9, 10', NULL, NULL, NULL, 416278877548052481);
INSERT INTO `t_f_flow_log` VALUES (416522558561583104, NULL, 416522557705945088, NULL, 416522558335090688, 12, 1, '提交', NULL, 1690247517063, NULL, 1690247517063, 'START', '34', NULL, NULL, NULL, 416522557768859648);
INSERT INTO `t_f_flow_log` VALUES (416522559341723648, NULL, 416522557705945088, NULL, 416522558335090688, 34, 1, '提交', NULL, 1690247517066, NULL, 1690247517066, 'START', '12, 34', NULL, NULL, NULL, 416522557773053954);
INSERT INTO `t_f_flow_log` VALUES (416646988382076928, NULL, 416646987639685120, NULL, 416646988143001600, 12, 1, '草稿', NULL, 1690277183121, NULL, 1690277183121, 'DRAFT', '12, 34', NULL, NULL, NULL, 416646987706793984);
INSERT INTO `t_f_flow_log` VALUES (416646988734398464, NULL, 416646987639685120, NULL, 416646988143001600, 34, 1, '草稿', NULL, 1690277183123, NULL, 1690277183123, 'DRAFT', '12, 34', NULL, NULL, NULL, 416646987706793987);
INSERT INTO `t_f_flow_log` VALUES (416648716464685056, NULL, 416522557705945088, NULL, 416522558335090688, 12, 2, '12终止流程', NULL, 1690277594974, NULL, 1690277594974, 'END', NULL, NULL, NULL, NULL, 416522559907954695);
COMMIT;

-- ----------------------------
-- Table structure for t_g_error
-- ----------------------------
DROP TABLE IF EXISTS `t_g_error`;
CREATE TABLE `t_g_error` (
                             `id` bigint NOT NULL COMMENT '主键',
                             `org_id` bigint DEFAULT NULL COMMENT '机构id',
                             `obj_id` bigint DEFAULT NULL COMMENT '实体id',
                             `summary` mediumtext COMMENT '实时摘要信息',
                             `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                             PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='全局异常错误信息表';
